<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "provider_rating_import_log".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ProviderRatingImportLog".
 *
 * Columns in table "provider_rating_import_log" available as properties of the model,
 * followed by relations of table "provider_rating_import_log" available as properties of the model.
 *
 * @property integer $id
 * @property integer $partner_site_id
 * @property integer $provider_id
 * @property integer $practice_id
 * @property string $origin
 * @property string $partner_site_review_id
 * @property integer $provider_rating_id
 * @property string $source_data
 * @property string $internal_notes
 * @property string $date_added
 *
 * @property PartnerSite $partnerSite
 * @property ProviderRating $providerRating
 */
abstract class BaseProviderRatingImportLog extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'provider_rating_import_log';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ProviderRatingImportLog|ProviderRatingImportLogs', $n);
    }

    public static function representingColumn()
    {
        return 'origin';
    }

    public function rules()
    {
        return array(
            array('partner_site_id, provider_id, practice_id, provider_rating_id', 'numerical', 'integerOnly' => true),
            array('origin', 'length', 'max' => 1),
            array('partner_site_review_id', 'length', 'max' => 20),
            array('source_data, internal_notes, date_added', 'safe'),
            array('partner_site_id, provider_id, practice_id, origin, partner_site_review_id, provider_rating_id, source_data, internal_notes, date_added', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, partner_site_id, provider_id, practice_id, origin, partner_site_review_id, provider_rating_id, source_data, internal_notes, date_added', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'partnerSite' => array(self::BELONGS_TO, 'PartnerSite', 'partner_site_id'),
            'providerRating' => array(self::BELONGS_TO, 'ProviderRating', 'provider_rating_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'partner_site_id' => null,
            'provider_id' => Yii::t('app', 'Provider'),
            'practice_id' => Yii::t('app', 'Practice'),
            'origin' => Yii::t('app', 'Origin'),
            'partner_site_review_id' => Yii::t('app', 'Partner Site Review'),
            'provider_rating_id' => null,
            'source_data' => Yii::t('app', 'Source Data'),
            'internal_notes' => Yii::t('app', 'Internal Notes'),
            'date_added' => Yii::t('app', 'Date Added'),
            'partnerSite' => null,
            'providerRating' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('partner_site_id', $this->partner_site_id);
        $criteria->compare('provider_id', $this->provider_id);
        $criteria->compare('practice_id', $this->practice_id);
        $criteria->compare('origin', $this->origin, true);
        $criteria->compare('partner_site_review_id', $this->partner_site_review_id, true);
        $criteria->compare('provider_rating_id', $this->provider_rating_id);
        $criteria->compare('source_data', $this->source_data, true);
        $criteria->compare('internal_notes', $this->internal_notes, true);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
